## pysal 1.11.2

=== requirements.txt ===
scipy>=0.11

=== debian/changelog ===
pysal (1.11.2-3) unstable; urgency=medium

  * Team upload.
  * Remove unneeded conditional in reproducible-build-and-output.patch.
  * Add patch to fix TabErrors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 Jul 2016 01:08:47 +0200

pysal (1.11.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch by Chris Lamb for reproducible builds.
    (closes: #832997)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Jul 2016 19:16:27 +0200

pysal (1.11.2-1) unstable; urgency=medium

  * Team upload.

  [ Johan Van de Wauw ]
  * Initial upload (closes: #788576)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Jul 2016 17:07:47 +0200

=== debian/control ===
Source: pysal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-nose-exclude,
               python3-nose-exclude,
               python-numpy,
               python3-numpy,
               python-scipy,
               python3-scipy,
               python-setuptools,
               python3-setuptools,
               python-shapely,
               python3-shapely
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pysal.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pysal.git
Homepage: https://pysal.readthedocs.org/en/latest/
X-Python-Version: >= 2.5

Package: python-pysal
Architecture: all
Depends: python-lxml,
         python-scipy,
         ${python:Depends},
         ${misc:Depends}
Description: Python Spatial Analysis Library - Python 2
 PySAL is an open source library of spatial analysis functions written in
 Python intended to support the development of high level applications.
 .
 It is important to underscore what PySAL is, and is not, designed to do. First
 and foremost, PySAL is a library in the fullest sense of the word. Developers
 looking for a suite of spatial analytical methods that they can incorporate
 into application development should feel at home using PySAL. Spatial analysts
 who may be carrying out research projects requiring customized scripting,
 extensive simulation analysis, or those seeking to advance the state of the art
 in spatial analysis should also find PySAL to be a useful foundation for their
 work.
 .
 End users looking for a user friendly graphical user interface for spatial
 analysis should not turn to PySAL directly. Instead, they should consider
 projects like STARS and the GeoDaX suite of software products which wrap PySAL
 functionality in GUIs. At the same time, it's expected that with developments
 such as the Python based plug-in architectures for QGIS, GRASS, and the
 toolbox extensions for ArcGIS, that end user access to PySAL functionality
 will be widening in the near future.
 .
 This package contains the pysal library for Python 2.

Package: python3-pysal
Architecture: all
Depends: python3-lxml,
         python3-scipy,
         ${python3:Depends},
         ${misc:Depends}
Description: Python Spatial Analysis Library - Python 3
 PySAL is an open source library of spatial analysis functions written in
 Python intended to support the development of high level applications.
 .
 It is important to underscore what PySAL is, and is not, designed to do. First
 and foremost, PySAL is a library in the fullest sense of the word. Developers
 looking for a suite of spatial analytical methods that they can incorporate
 into application development should feel at home using PySAL. Spatial analysts
 who may be carrying out research projects requiring customized scripting,
 extensive simulation analysis, or those seeking to advance the state of the art
 in spatial analysis should also find PySAL to be a useful foundation for their
 work.
 .
 End users looking for a user friendly graphical user interface for spatial
 analysis should not turn to PySAL directly. Instead, they should consider
 projects like STARS and the GeoDaX suite of software products which wrap PySAL
 functionality in GUIs. At the same time, it's expected that with developments
 such as the Python based plug-in architectures for QGIS, GRASS, and the
 toolbox extensions for ArcGIS, that end user access to PySAL functionality
 will be widening in the near future.
 .
 This package contains the pysal library for Python 3.

## pysal 1.13.0

=== debian/changelog ===
pysal (1.13.0-5) unstable; urgency=medium

  * Team upload.
  * Skip test_Headbanging_Median_Rate{,_tabular} tests, fail with Python 3.6.
    (closes: #867549)
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jul 2017 11:27:51 +0200

pysal (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * Ignore test failures on i386, package not normally built there.
    (closes: #860694)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Apr 2017 11:19:27 +0200

pysal (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with NumPy 1.12.
    (closes: #848783)
  * Don't ignore test failures, numpy compatibility has been fixed.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Jan 2017 12:38:13 +0100

pysal (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * Ignore test failures to not fail the entire build.
    (closes: #848783)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Dec 2016 22:45:24 +0100

pysal (1.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move python{,3}-pandas from Recommends to Depends.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Dec 2016 19:17:49 +0100

pysal (1.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add recommended dependencies.
  * Drop patches applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Sep 2016 12:44:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,31 @@
                dh-python,
                python-all,
                python3-all,
+               python-geojson,
+               python3-geojson,
+               python-geopandas,
+               python3-geopandas,
+               python-matplotlib,
+               python3-matplotlib,
                python-nose-exclude,
                python3-nose-exclude,
+               python-numexpr,
+               python3-numexpr,
                python-numpy,
                python3-numpy,
+               python-pandas,
+               python3-pandas,
                python-scipy,
                python3-scipy,
+               python-seaborn,
+               python3-seaborn,
                python-setuptools,
                python3-setuptools,
                python-shapely,
-               python3-shapely
-Standards-Version: 3.9.8
+               python3-shapely,
+               python-sklearn,
+               python3-sklearn
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pysal.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pysal.git
 Homepage: https://pysal.readthedocs.org/en/latest/
@@ -26,9 +40,17 @@
 Package: python-pysal
 Architecture: all
 Depends: python-lxml,
+         python-pandas,
          python-scipy,
          ${python:Depends},
          ${misc:Depends}
+Recommends: python-geojson,
+            python-geopandas,
+            python-matplotlib,
+            python-numexpr,
+            python-seaborn,
+            python-shapely,
+            python-sklearn
 Description: Python Spatial Analysis Library - Python 2
  PySAL is an open source library of spatial analysis functions written in
  Python intended to support the development of high level applications.
@@ -55,9 +77,17 @@
 Package: python3-pysal
 Architecture: all
 Depends: python3-lxml,
+         python3-pandas,
          python3-scipy,
          ${python3:Depends},
          ${misc:Depends}
+Recommends: python3-geojson,
+            python3-geopandas,
+            python3-matplotlib,
+            python3-numexpr,
+            python3-seaborn,
+            python3-shapely,
+            python3-sklearn
 Description: Python Spatial Analysis Library - Python 3
  PySAL is an open source library of spatial analysis functions written in
  Python intended to support the development of high level applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=pysal
export PYBUILD_TEST_NOSE=1
export PYBUILD_TEST_ARGS=--exclude test_DistanceBand_arc --exclude test_Headbanging_Median_Rate --exclude test_Headbanging_Median_Rate_tabular  --exclude-dir=pysal/contrib --exclude-dir pysal/network

%:
	dh  $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(findstring $(DEB_BUILD_ARCH),"i386"))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_python2:
	dh_python2 -ppython-pysal
	dh_numpy -ppython-pysal

override_dh_python3:
	dh_python3 -ppython3-pysal
	dh_numpy3 -ppython3-pysal

## pysal 1.14.3

=== Makefile ===
# developer Makefile for repeated tasks
# 
.PHONY: clean

test:
	nosetests 

doctest:
	cd doc; make pickle; make doctest

install:
	python setup.py install >/dev/null

src:
	python setup.py sdist >/dev/null

win:
	python setup.py bdist_wininst >/dev/null

clean: 
	find . -name "*.pyc" -exec rm '{}' ';'
	find pysal -name "__pycache__" -exec rm -rf '{}' ';'
	rm -rf dist
	rm -rf build
	rm -rf PySAL.egg-info

=== requirements.txt ===
scipy>=0.11
numpy>=1.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -Q -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/pysal.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/pysal.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest  $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."
	rm ../pysal/examples/sids2.swm
	rm ../pysal/examples/virginia_queen
	rm ../pysal/examples/virginia_queen.dat
	rm ../pysal/examples/virginia_queen.dbf
	rm ../pysal/examples/virginia_queen.gal
	rm ../pysal/examples/virginia_queen.mat
	rm ../pysal/examples/virginia_queen.mtx
	rm ../pysal/examples/virginia_queen.swm
	rm ../pysal/examples/virginia_queen.txt
	rm ../pysal/examples/virginia_queen.wk1

=== debian/changelog ===
pysal (1.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop TabError.patch, applied upstream.
  * Bump Standards-Version to 4.1.1, no changes.
  * Add patch to fix UnicodeDecodeError in test_examples.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Nov 2017 19:47:27 +0100

pysal (1.14.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix inconsistent use of tabs and spaces in indentation.
    (closes: #876700)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Sep 2017 07:49:08 +0200

pysal (1.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Sep 2017 11:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                python3-shapely,
                python-sklearn,
                python3-sklearn
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pysal.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pysal.git
 Homepage: https://pysal.readthedocs.org/en/latest/

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export PYBUILD_NAME=pysal
 export PYBUILD_TEST_NOSE=1
-export PYBUILD_TEST_ARGS=--exclude test_DistanceBand_arc --exclude test_Headbanging_Median_Rate --exclude test_Headbanging_Median_Rate_tabular  --exclude-dir=pysal/contrib --exclude-dir pysal/network
+export PYBUILD_TEST_ARGS=--verbose --exclude test_DistanceBand_arc --exclude test_Headbanging_Median_Rate --exclude test_Headbanging_Median_Rate_tabular  --exclude-dir=pysal/contrib --exclude-dir pysal/network
 
 %:
 	dh  $@ --with python2,python3 --buildsystem pybuild

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|r|v|pysal)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pysal-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/pysal/pysal/tags \
(?:.*/)?(?:rel|r|v|pysal)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysal 1.14.4

=== pysal/contrib/viz/Makefile ===
test:
	jupyter nbconvert --execute geotable_plot.ipynb

=== debian/changelog ===
pysal (1.14.4-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 19:01:53 +0200

pysal (1.14.4-2) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 17:48:03 +0200

pysal (1.14.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop ancient X-Python-Version field.
  * Strip trailing whitespace from control & rules files.
  * Use filter instead of findstring to prevent partial matches.
  * Drop test_examples.patch, applied upstream.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.
  * Add lintian override for python-module-in-wrong-location.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 06:58:36 +0200

=== debian/control ===
--- 
+++ 
@@ -31,11 +31,10 @@
                python3-shapely,
                python-sklearn,
                python3-sklearn
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pysal.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pysal.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pysal
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pysal.git
 Homepage: https://pysal.readthedocs.org/en/latest/
-X-Python-Version: >= 2.5
 
 Package: python-pysal
 Architecture: all
@@ -110,4 +109,3 @@
  will be widening in the near future.
  .
  This package contains the pysal library for Python 3.
-

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(findstring $(DEB_BUILD_ARCH),"i386"))
+ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
@@ -25,4 +25,3 @@
 override_dh_python3:
 	dh_python3 -ppython3-pysal
 	dh_numpy3 -ppython3-pysal
-

## pysal 2.0.0

=== requirements.txt ===
scipy>=0.11
pandas
seaborn
matplotlib
descartes
palettable

=== debian/changelog ===
pysal (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jul 2019 08:20:21 +0200

pysal (2.0.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Drop Python 2 package, no longer supported upstream.
  * Add python3-{rtree,statsmodels} to build dependencies.
  * Copy test data to build dir.
  * Remove executable bit from test files.
  * Drop unused lintian overrides.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.
  * Remove lattice.dbf from Python module directory.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Feb 2019 18:09:52 +0100

=== debian/control ===
Source: pysal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-geojson,
               python3-geopandas,
               python3-matplotlib,
               python3-nose-exclude,
               python3-numexpr,
               python3-numpy,
               python3-pandas,
               python3-rtree,
               python3-scipy,
               python3-seaborn,
               python3-setuptools,
               python3-shapely,
               python3-sklearn,
               python3-statsmodels
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pysal
Vcs-Git: https://salsa.debian.org/debian-gis-team/pysal.git -b experimental
Homepage: https://pysal.readthedocs.org/en/latest/

Package: python3-pysal
Architecture: all
Depends: python3-lxml,
         python3-pandas,
         python3-scipy,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-geojson,
            python3-geopandas,
            python3-matplotlib,
            python3-numexpr,
            python3-seaborn,
            python3-shapely,
            python3-sklearn,
            python3-statsmodels
Description: Python Spatial Analysis Library - Python 3
 PySAL is an open source library of spatial analysis functions written in
 Python intended to support the development of high level applications.
 .
 It is important to underscore what PySAL is, and is not, designed to do. First
 and foremost, PySAL is a library in the fullest sense of the word. Developers
 looking for a suite of spatial analytical methods that they can incorporate
 into application development should feel at home using PySAL. Spatial analysts
 who may be carrying out research projects requiring customized scripting,
 extensive simulation analysis, or those seeking to advance the state of the art
 in spatial analysis should also find PySAL to be a useful foundation for their
 work.
 .
 End users looking for a user friendly graphical user interface for spatial
 analysis should not turn to PySAL directly. Instead, they should consider
 projects like STARS and the GeoDaX suite of software products which wrap PySAL
 functionality in GUIs. At the same time, it's expected that with developments
 such as the Python based plug-in architectures for QGIS, GRASS, and the
 toolbox extensions for ArcGIS, that end user access to PySAL functionality
 will be widening in the near future.
 .
 This package contains the pysal library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=pysal
export PYBUILD_TEST_NOSE=1
export PYBUILD_TEST_ARGS=--verbose
export PYBUILD_BEFORE_TEST=sh $(CURDIR)/debian/copy-test-data.sh "{version}" "{interpreter}" "{dir}" "{destdir}" "{home_dir}" "{build_dir}" "{install_dir}" "{package}"

%:
	dh  $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_install:
	dh_install --list-missing

	find $(CURDIR)/debian/*/usr/lib/python*/dist-packages/pysal/model/mgwr/tests/ -type f -not -name "*.py" -exec chmod 644 {} \;

	$(RM) $(CURDIR)/debian/*/usr/lib/python*/dist-packages/lattice.dbf

override_dh_python3:
	dh_python3 -ppython3-pysal
	dh_numpy3 -ppython3-pysal

## pysal 2.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,12 @@
 # developer Makefile for repeated tasks
 # 
 .PHONY: clean
+
+download:
+	python gitreleases.py
+
+convert:
+	python convert.py
 
 test:
 	nosetests 
@@ -17,9 +23,19 @@
 win:
 	python setup.py bdist_wininst >/dev/null
 
+prep:
+	rm -rf pysal/lib
+	mkdir pysal/lib
+
+docs:
+	python convert_docs.py
+	cd doc; make clean; make html
+
 clean: 
 	find . -name "*.pyc" -exec rm '{}' ';'
 	find pysal -name "__pycache__" -exec rm -rf '{}' ';'
 	rm -rf dist
 	rm -rf build
 	rm -rf PySAL.egg-info
+	rm -rf tmp
+

=== requirements.txt ===
scipy
pandas
seaborn
matplotlib
descartes
palettable
scikit-learn
geopandas
deprecated
rtree
tqdm

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pysal
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf auto_examples/

dash: html
	rm -rf PySAL.docset
	doc2dash --name=PySAL  --icon=_static/images/pysal_favicon.png _build/html 

zeal: dash 
	rm -rf ~/.local/share/Zeal/Zeal/docsets/PySAL.docset
	mkdir ~/.local/share/Zeal/Zeal/docsets/PySAL.docset
	cp -R PySAL.docset/ ~/.local/share/Zeal/Zeal/docsets/

=== notebooks/viz/splot/Makefile ===
test:
	jupyter nbconvert --execute geotable_plot.ipynb

test3:
	jupyter nbconvert --to notebook --nbformat 3 geotable_plot.ipynb --output geotable_plot.ipynb
	jupyter nbconvert --execute geotable_plot.ipynb

=== debian/changelog ===
pysal (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    (closes: #950053)
  * Bump Standards-Version to 4.5.0, no changes.
  * Add python3-{deprecated,descartes,tqdm} to (build) dependencies.
  * Drop Name field from upstream metadata.
  * Add patch to fix test failure with newer numpy.
  * Add patch to skip tests expected to fail.
  * Skip test target entirely, tends to hang with many defunct processes.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Jan 2020 20:10:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all,
+               python3-deprecated,
+               python3-descartes,
                python3-geojson,
                python3-geopandas,
                python3-matplotlib,
@@ -18,9 +20,10 @@
                python3-seaborn,
                python3-setuptools,
                python3-shapely,
-               python3-sklearn,
-               python3-statsmodels
-Standards-Version: 4.3.0
+               python3-sklearn (>= 0.21.0),
+               python3-statsmodels,
+               python3-tqdm
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pysal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pysal.git -b experimental
 Homepage: https://pysal.readthedocs.org/en/latest/
@@ -32,7 +35,8 @@
          python3-scipy,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-geojson,
+Recommends: python3-descartes,
+            python3-geojson,
             python3-geopandas,
             python3-matplotlib,
             python3-numexpr,

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,7 @@
 	dh  $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_test:
-# Ignore test failures on problematic architectures only
-ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
-	dh_auto_test || echo "Ignoring test failures"
-else
-	dh_auto_test
-endif
+	# Skip tests, tend to hang with many defunct processes
 
 override_dh_install:
 	dh_install --list-missing

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|r|v|pysal)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pysal-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/pysal/pysal/releases \
(?:.*?/archive/)?(?:rel|r|v|pysal)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
